Votre Nom il y a 2 ans
Parent
commit
32e0e2ddeb
5 fichiers modifiés avec 63 ajouts et 51 suppressions
  1. BIN
      options/.john.sh.swp
  2. 13 2
      options/chia.sh
  3. 0 47
      options/john.sh
  4. 50 2
      options/password.sh
  5. 0 0
      options/tools/desk_check.sh

BIN
options/.john.sh.swp


+ 13 - 2
options/chia.sh

@@ -27,6 +27,14 @@ function print_centered {
      return 0
 }
 
+function jumpto
+{
+    label=$1
+    cmd=$(sed -n "/$label:/{:a;n;p;ba};" $0 | grep -v ':$')
+    eval "$cmd"
+    exit
+}
+
 print_centered "$(tput setaf 10)"
 print_centered " ______ __     __        "
 print_centered "|      |  |--.|__|.---.-."
@@ -45,6 +53,8 @@ echo -e "$(tput setaf 2)\nUpdate and install packages:$(tput sgr0)"
 sudo apt-get install python3-venv python3-distutils python3-dev libsodium-dev -y
 echo -e "\e[97mDone.\e[0m"
 
+jumpto END
+
 echo -e "$(tput setaf 2)\nDownload pack:$(tput sgr0)"
 wget -c -q --show-progress http://folivier.homelinux.org/cube/pack/chia-miner.tar.xz
 mv chia-miner.tar.xz /home/wareck/Build_Cube/pack/chia-miner.tar.xz
@@ -126,11 +136,12 @@ cmake ..
 make -j4
 echo -e "\e[97mDone.\e[0m"
 
-if [ $Gui = "YES" ]
+END:
+if [ $Gui = "Yes" ]
 then
 echo -e "$(tput setaf 2)\nBuild Chia-Gui :$(tput sgr0)"
 cd /home/wareck
-if [ ! -d  /home/wareck/chia-pos ]
+if [ ! -d  /home/wareck/chia-blockchain ]
 then
 git clone https://github.com/Chia-Network/chia-blockchain.git -b latest --recurse-submodules
 cd chia-blockchain

+ 0 - 47
options/john.sh

@@ -1,47 +0,0 @@
-#!/bin/bash
-version=1.3
-set -e
-function print_centered {
-     [[ $# == 0 ]] && return 1
-
-     declare -i TERM_COLS="$(tput cols)"
-     declare -i str_len="${#1}"
-     [[ $str_len -ge $TERM_COLS ]] && {
-          echo "$1";
-          return 0;
-     }
-
-     declare -i filler_len="$(( (TERM_COLS - str_len) / 2 ))"
-     [[ $# -ge 2 ]] && ch="${2:0:1}" || ch=" "
-     filler=""
-     for (( i = 0; i < filler_len; i++ )); do
-          filler="${filler}${ch}"
-     done
-
-     printf "%s%s%s" "$filler" "$1" "$filler"
-     [[ $(( (TERM_COLS - str_len) % 2 )) -ne 0 ]] && printf "%s" "${ch}"
-     printf "\n"
-
-     return 0
-}
-
-print_centered "$(tput setaf 9)"
-print_centered ".________ ._______  .___.__  .______ "
-print_centered ":____.   \: .___  \ :   |  \ :      \ "
-print_centered " __|  :/ || :   |  ||   :   ||       |"
-print_centered "|     :  ||     :  ||   .   ||   |   |"
-print_centered " \__. __/  \_. ___/ |___|   ||___|   |"
-print_centered "    :/       :/         |___|    |___|"
-print_centered "    :        :                        "
-print_centered "$(tput setaf 7)"
-print_centered "Version $version"
-
-sudo apt-get install libbz2-dev libpcap-dev -y
-sudo apt-get -y install ocl-icd-opencl-dev opencl-headers pocl-opencl-icd
-cd /home/wareck/
-if [ ! -d password ];then mkdir password ;fi
-cd /home/wareck/password/
-git clone https://github.com/openwall/john.git
-cd /home/wareck/password/john/src
-./configure
-make -j4

+ 50 - 2
options/hashcat.sh → options/password.sh

@@ -1,5 +1,7 @@
 #!/bin/bash
-version=1.0
+version=2.0
+John_="Yes"
+Hashcat_="Yes"
 set -e
 function print_centered {
      [[ $# == 0 ]] && return 1
@@ -24,6 +26,24 @@ function print_centered {
 
      return 0
 }
+if [ $John_ = "Yes" ]
+then
+print_centered "$(tput setaf 9)"
+print_centered ".________ ._______  .___.__  .______ "
+print_centered ":____.   \: .___  \ :   |  \ :      \ "
+print_centered " __|  :/ || :   |  ||   :   ||       |"
+print_centered "|     :  ||     :  ||   .   ||   |   |"
+print_centered " \__. __/  \_. ___/ |___|   ||___|   |"
+print_centered "    :/       :/         |___|    |___|"
+print_centered "    :        :                        "
+fi
+if [ $John_ = "Yes" ] && [ $Hashcat_ = "Yes" ]
+then
+echo -n -e "$(tput setaf 7)"
+print_centered "&"
+fi
+if [ $Hashcat_ = "Yes" ]
+then
 print_centered "$(tput setaf 11)"
 print_centered ".___.__  .______  .________.___.__  ._______ .______  _____._"
 print_centered ":   |  \ :      \ |    ___/:   |  \ :_.  ___\:      \ \__ _:|"
@@ -32,9 +52,35 @@ print_centered "|   .   ||   :   ||       /|   .   ||    /  \|   :   |  |   |"
 print_centered "|___|   ||___|   ||__:___/ |___|   ||. _____/|___|   |  |   |"
 print_centered "    |___|    |___|   :         |___| :/          |___|  |___|"
 print_centered "                                     :                       "
+fi
 echo -n -e "$(tput setaf 7)"
-print_centered "HashCat installer Version:$version"
+if [ -f /tmp/tmp_txt ];then rm /tmp/tmp_txt ; fi
+if [ $John_ = "Yes" ]; then echo -n "John the Ripper " > /tmp/tmp_txt;fi
+if [ $John_ = "Yes" ] && [ $Hashcat_ = "Yes" ]; then echo -n "& " >>/tmp/tmp_txt;fi
+if [ $Hashcat_ = "Yes" ]; then echo -n "HaschCat " >> /tmp/tmp_txt;fi
+
+echo -n "installer Version $version" >>/tmp/tmp_txt
+value=`cat /tmp/tmp_txt`
+print_centered "$value"
+
+if [ $John_ = "Yes" ]
+then
+echo "John The Ripper install:"
+sudo apt-get install libbz2-dev libpcap-dev -y
+sudo apt-get -y install ocl-icd-opencl-dev opencl-headers pocl-opencl-icd
+cd /home/wareck/
+if [ ! -d password ];then mkdir password ;fi
+cd /home/wareck/password/
+git clone https://github.com/openwall/john.git
+cd /home/wareck/password/john/src
+./configure
+make -j4
+echo ""
+fi
 
+if [ $Hashcat_ = "Yes" ]
+then
+echo "Hashcat install:"
 sudo apt-get install libbz2-dev libpcap-dev -y
 sudo apt-get -y install ocl-icd-opencl-dev opencl-headers pocl-opencl-icd
 cd /home/wareck/
@@ -49,5 +95,7 @@ cd hashcat
 git pull
 fi
 make -j4
+fi
+
 echo ""
 echo "Done."

+ 0 - 0
desk_check.sh → options/tools/desk_check.sh